<?php
	do {
		
		$rete = $row_pagamento_ven_complexo['Ir']+$row_pagamento_ven_complexo['Iss']+$row_pagamento_ven_complexo['Inss'];
		$credito = $row_pagamento_ven_complexo['Pis']+$row_pagamento_ven_complexo['Cofins']+$row_pagamento_ven_complexo['Csll']+$row_pagamento_ven_complexo['Desconto'];
		$debito = $row_pagamento_ven_complexo['Juros']+$row_pagamento_ven_complexo['Multa']; 
		
		//Detalhado
		$detalhado = '';
		
		//Multiplo de DEBITO 
		
			//HP
			$hp_antigo = $historico_padrao_fornec;
		
			
	
			//Lançamento
			$cheque = '';
			if($row_pagamento_ven_complexo['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			if(($row_pagamento_ven_complexo['Valor'] + $row_pagamento_ven_complexo['diferenca'] + $row_pagamento_ven_complexo['outros']-$rete + $debito) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
			$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven_complexo['Valor'] + $row_pagamento_ven_complexo['diferenca'] + $row_pagamento_ven_complexo['outros']-$rete + $debito,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad(455, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'].$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			
			
		// Fechamento de Lancamento SIMPLES
		$historico_padrao_fornec = $hp_antigo;
		
		
		
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
			}
		
		$atualizar = "UPDATE mfin_pagamentos SET phoenix=CURDATE() WHERE Id= ".$row_pagamento_ven_complexo['pag_id'];
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
		
	} while ($row_pagamento_ven_complexo = mysql_fetch_assoc($pagamento_ven_complexo));

?>